/*
	Background.h
		based on "Background"
		by Scott Hess and Andreas Windemut (1991)
*/

#import <appkit/View.h>
#import <dpsclient/dpsclient.h>


@class NXImage, Window;

@interface Background:View
{
	NXImage *image;
	NXSize	screenSize;
	int	drawMethod;
	BOOL	isfront;
	float	bgColor[3];
	int	bgPaint;
}

- initFrame:(const NXRect *)frameRect;
- free;
- (Window *)initWinAttr;
- toBehind:sender;
- toFront:sender;
- (BOOL)isFront;
- mouseDown:(NXEvent *)event;
- (BOOL)acceptsFirstMouse;
- setImage: (NXImage *)backimage hasAlpha:(BOOL)alpha with: (int)method;
- setStream: (NXStream *)stream with: (int)method;
- drawSelf:(NXRect *)r :(int)count;

@end
